com.taosdata.jdbc.ws.tmq.entity

## Class FetchRawBlockResp

- java.lang.Object
- - com.taosdata.jdbc.ws.entity.Response
  - - com.taosdata.jdbc.ws.tmq.entity.FetchRawBlockResp

    public class FetchRawBlockResp
    extends Response

### Constructor Summary

Constructors
Constructor and Description
`FetchRawBlockResp(io.netty.buffer.ByteBuf buffer)`

### Method Summary

All Methods Instance Methods Concrete Methods
`io.netty.buffer.ByteBuf` `getBuffer()`
`int` `getCode()`
`List<String>` `getColumnNames()`
`ConsumerRecords<TMQEnhMap>` `getEhnMapList(PollResp pollResp, ZoneId zoneId, boolean varcharAsString)`
`ConsumerRecords<TMQEnhMap>` `getEhnMapListInner(PollResp pollResp, ZoneId zoneId, boolean varcharAsString)`
`List<RestfulResultSet.Field>` `getFields()`
`String` `getMessage()`
`RestfulResultSetMetaData` `getMetaData()`
`byte` `getPrecision()`
`List<List<Object>>` `getResultData()`
`int` `getRows()`
`String` `getTableName()`
`long` `getTime()`
`short` `getVersion()`
`void` `init()`
`void` `parseBlockInfos()`
`void` `setBuffer(io.netty.buffer.ByteBuf buffer)`

### Methods inherited from class com.taosdata.jdbc.ws.entity.Response

`getAction, getReqId, setAction, setReqId`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### FetchRawBlockResp

    public FetchRawBlockResp(io.netty.buffer.ByteBuf buffer)

### Method Detail

#### init

    public void init()

#### getBuffer

    public io.netty.buffer.ByteBuf getBuffer()

#### setBuffer

    public void setBuffer(io.netty.buffer.ByteBuf buffer)

#### getTime

    public long getTime()

#### getCode

    public int getCode()

#### getMessage

    public String getMessage()

#### getVersion

    public short getVersion()

#### parseBlockInfos

    public void parseBlockInfos()
                         throws SQLException

Throws:
  `SQLException`

#### getEhnMapListInner

    public ConsumerRecords<TMQEnhMap> getEhnMapListInner(PollResp pollResp,
                                                         ZoneId zoneId,
                                                         boolean varcharAsString)
                                                  throws SQLException

Throws:
  `SQLException`

#### getEhnMapList

    public ConsumerRecords<TMQEnhMap> getEhnMapList(PollResp pollResp,
                                                    ZoneId zoneId,
                                                    boolean varcharAsString)
                                             throws SQLException

Throws:
  `SQLException`

#### getMetaData

    public RestfulResultSetMetaData getMetaData()

#### getFields

    public List<RestfulResultSet.Field> getFields()

#### getColumnNames

    public List<String> getColumnNames()

#### getResultData

    public List<List<Object>> getResultData()

#### getPrecision

    public byte getPrecision()

#### getRows

    public int getRows()

#### getTableName

    public String getTableName()